

// ä comes as 0x7b = \175 -> transfer as {
// ö comes as 0x7c = |    -> no recoding
// ü comes as 0x7e = ~    -> transfer as }
// ß comes as 0x1e = \036 -> transfer as ~

// test/pdu | tr '\175~\036' '{}~' | iconv -f DE
// Extracted 109 B (0x6D B): CallYa Allnet Flat S: Den Basispreis von 9,99 Euro haben wir abgebucht. Freundliche Grüße, Dein Vodafone-Team




#include <stdio.h>
#include <unistd.h>
#define NOCODE
#include "../c/xG.c"
#undef NOCODE

int main() {
	char input[] = "D474BB2C9BD6E566D054072296DD2061789E9EC3E5E5F41C647FBB413118EB560315EBF237081D1697DDA07B5A0E0A8BCF65717D8CA6BB404679B9EE26B3D36374197494FB3D651688584EBB41F827B4452D87DB";
	int len = sizeof(input);
	
	int res = pdu7bit2txt(input, len-1);
	if (res < 0) return -res;
	printf("Extracted %d B (0x%X B): ", res, res);
	fflush(stdout);
	write(1, input, res);
	printf("\n");
	
	//strcpy(input, "Time2Surf S: Den Basispreis von 10,75 Euro haben wir abgebucht. Freundliche Gr~\036e, Dein xOP-Team");
	
	res = txt2pdu7bit(input, res);
	printf("Converted %d B (0x%X B): ", res, res);
	fflush(stdout);
	write(1, input, res);
	printf("\n");
	
	
	return 0;
}

