

// Compatibility for old libc (2.0)
// include instead of fcntl.h!

// © 2020 Jonas Bechtel
// Licensed under the Apache License, Version 2.0
//     see file <prj>/meta/NOTICE


#ifndef FCNTLCOMPAT_H
#define FCNTLCOMPAT_H

// First step: redefine fcntl to __fcntl. __fcntl is present in my libc and
// points to GLIBC_2.0 version.
#define fcntl __fcntl
#include <fcntl.h>


// Second step (rename __fcntl to fcntl) follows by make script, but is
// not obligatory.


#endif // #ifndef FCNTLCOMPAT_H


