

// Compatibility for old libc (2.0)
// include instead of stdio.h!

// © 2020 Jonas Bechtel
// Licensed under the Apache License, Version 2.0
//     see file <prj>/meta/NOTICE



#ifndef STDIOCOMPAT_H
#define STDIOCOMPAT_H

#define _GETOPT_POSIX_H 1 // defining in order to intercept loading
	// If you want getopt, use #include <getopt.h>

#include <stdio.h>

#define sscanf sscanf_redirect__

extern int sscanf_redirect__ (const char *__restrict __s,
                              const char *__restrict __format, ...)
		__asm__ ("" "sscanf")
		__THROW;



#endif // #ifndef STDIOCOMPAT_H


